Bug 855105 - [abrt] obexd-0.44-1.fc17: transfer_complete: Process /usr/libexec/obex-client was killed by signal 11 (SIGSEGV)
[abrt] obexd-0.44-1.fc17: transfer_complete: Process /usr/libexec/obex-client...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: obexd (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:c5f0017a71777e76a65a21a774a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-06 13:20 EDT by chetan
Modified: 2013-07-31 17:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 17:02:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (1.14 KB, text/plain)
2012-09-06 13:20 EDT, chetan
no flags Details
File: environ (845 bytes, text/plain)
2012-09-06 13:20 EDT, chetan
no flags Details
File: event_log (548 bytes, text/plain)
2012-09-06 13:20 EDT, chetan
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-06 13:20 EDT, chetan
no flags Details
File: cgroup (129 bytes, text/plain)
2012-09-06 13:20 EDT, chetan
no flags Details
File: maps (3.56 KB, text/plain)
2012-09-06 13:20 EDT, chetan
no flags Details
File: dso_list (668 bytes, text/plain)
2012-09-06 13:20 EDT, chetan
no flags Details
File: var_log_messages (1.17 KB, text/plain)
2012-09-06 13:20 EDT, chetan
no flags Details
File: open_fds (302 bytes, text/plain)
2012-09-06 13:21 EDT, chetan
no flags Details

  None (edit)
Description chetan 2012-09-06 13:20:17 EDT
Version-Release number of selected component:
obexd-0.44-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        /usr/libexec/obex-client
crash_function: transfer_complete
kernel:         3.5.3-1.fc17.x86_64

backtrace:
:[New LWP 1626]
:[Thread debugging using libthread_db enabled]
:Using host libthread_db library "/lib64/libthread_db.so.1".
:Core was generated by `/usr/libexec/obex-client'.
:Program terminated with signal 11, Segmentation fault.
:#0  0x0000000000000000 in ?? ()
:
:Thread 1 (Thread 0x7f6e42fe3740 (LWP 1626)):
:#0  0x0000000000000000 in ?? ()
:No symbol table info available.
:#1  0x000000000040c5e3 in transfer_complete (transfer=transfer@entry=0x74b190, err=0x746000) at gobex/gobex-transfer.c:102
:        id = 0
:        __FUNCTION__ = "transfer_complete"
:#2  0x000000000040cdb8 in transfer_response (obex=0x74f530, err=0x746000, rsp=0x760190, user_data=0x74b190) at gobex/gobex-transfer.c:221
:        transfer = 0x74b190
:        req = <optimized out>
:        rspcode = 7626752
:        final = 0
:        __FUNCTION__ = "transfer_response"
:#3  0x00000000004091bc in handle_response (obex=obex@entry=0x74f530, err=0x746000, err@entry=0x0, rsp=rsp@entry=0x760190) at gobex/gobex.c:935
:        p = 0x748e10
:        disconn = 0
:        final_rsp = 1
:        __FUNCTION__ = "handle_response"
:#4  0x0000000000409f8d in incoming_data (io=<optimized out>, cond=<optimized out>, user_data=0x74f530) at gobex/gobex.c:1178
:        obex = <optimized out>
:        pkt = 0x760190
:        header_offset = <optimized out>
:        err = 0x0
:        opcode = <optimized out>
:        __FUNCTION__ = "incoming_data"
:#5  0x00000037b2c47695 in g_main_dispatch (context=0x745010) at gmain.c:2539
:        dispatch = 0x37b2c84140 <g_io_unix_dispatch>
:        was_in_call = 0
:        user_data = 0x74f530
:        callback = 0x409df0 <incoming_data>
:        cb_funcs = 0x37b2f1d960
:        cb_data = 0x746f80
:        current_source_link = {data = 0x74f3d0, next = 0x0}
:        need_destroy = <optimized out>
:        source = 0x74f3d0
:        current = 0x7460c0
:        i = <optimized out>
:#6  g_main_context_dispatch (context=context@entry=0x745010) at gmain.c:3075
:No locals.
:#7  0x00000037b2c479c8 in g_main_context_iterate (context=0x745010, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3146
:        max_priority = 2147483647
:        timeout = 5035
:        some_ready = 1
:        nfds = <optimized out>
:        allocated_nfds = <optimized out>
:        fds = 0x748bc0
:#8  0x00000037b2c47dc2 in g_main_loop_run (loop=0x746c30) at gmain.c:3340
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#9  0x0000000000404f2c in main (argc=1, argv=0x7fffae202548) at client/main.c:102
:        context = <optimized out>
:        sa = {__sigaction_handler = {sa_handler = 0x410bd0 <sig_term>, sa_sigaction = 0x410bd0 <sig_term>}, sa_mask = {__val = {0 <repeats 16 times>}}, sa_flags = 0, sa_restorer = 0}
:        gerr = 0x0
:        __FUNCTION__ = "main"
:From                To                  Syms Read   Shared Object Library
:0x00000037b2c19b70  0x00000037b2cac74c  Yes         /lib64/libglib-2.0.so.0
:0x00000037b5c07760  0x00000037b5c302b4  Yes         /lib64/libdbus-1.so.3
:0x00000037b1405790  0x00000037b1410494  Yes         /lib64/libpthread.so.0
:0x00000037b1c02260  0x00000037b1c0554c  Yes         /lib64/librt.so.1
:0x000000354a0073c0  0x000000354a012c68  Yes         /lib64/libbluetooth.so.3
:0x00000037b101ef60  0x00000037b115f780  Yes         /lib64/libc.so.6
:0x00000037b0c00b20  0x00000037b0c1a319  Yes         /lib64/ld-linux-x86-64.so.2
:$1 = 0x0
:$2 = 0x0
:rax            0x40cd70	4246896
:rbx            0x0	0
:rcx            0x74b190	7647632
:rdx            0x0	0
:rsi            0x746000	7626752
:rdi            0x0	0
:rbp            0x74b190	0x74b190
:rsp            0x7fffae2021a8	0x7fffae2021a8
:r8             0x64656c6c65636e61	7234307589253852769
:r9             0x7	7
:r10            0x1c	28
:r11            0x74b1a8	7647656
:r12            0x746000	7626752
:r13            0x746000	7626752
:r14            0x0	0
:r15            0x1	1
:rip            0x0	0
:eflags         0x10246	[ PF ZF IF RF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:No function contains program counter for selected frame.
Comment 1 chetan 2012-09-06 13:20:25 EDT
Created attachment 610431 [details]
File: core_backtrace
Comment 2 chetan 2012-09-06 13:20:36 EDT
Created attachment 610432 [details]
File: environ
Comment 3 chetan 2012-09-06 13:20:39 EDT
Created attachment 610433 [details]
File: event_log
Comment 4 chetan 2012-09-06 13:20:43 EDT
Created attachment 610434 [details]
File: limits
Comment 5 chetan 2012-09-06 13:20:47 EDT
Created attachment 610435 [details]
File: cgroup
Comment 6 chetan 2012-09-06 13:20:52 EDT
Created attachment 610436 [details]
File: maps
Comment 7 chetan 2012-09-06 13:20:55 EDT
Created attachment 610437 [details]
File: dso_list
Comment 8 chetan 2012-09-06 13:20:57 EDT
Created attachment 610438 [details]
File: var_log_messages
Comment 9 chetan 2012-09-06 13:21:03 EDT
Created attachment 610439 [details]
File: open_fds
Comment 10 Fedora End Of Life 2013-07-03 16:44:07 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2013-07-31 17:02:41 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.